@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;600;700;900&display=swap');

:root {
    --blue: #00AAFF;
    --lightgray: #f5f6fb;
    --blue-filter: invert(0.4) sepia(1) hue-rotate(135deg) saturate(8);
    --red-filter: invert(0.4) sepia(1) hue-rotate(320deg) saturate(8);
}

html,
body {
    min-height: 100%;
}

body {
    user-select: none;
    outline: none;
    margin: 0;
    background-color: var(--lightgray);
    font-family: 'Montserrat', sans-serif;
    color: black;
}

h2 {
    filter: var(--blue-filter);
    margin-top: 5px;
}

.wifi-shadow {
    opacity: 0.3;
    position: absolute;
    z-index: -1;
}

.error {
    filter: var(--red-filter);
}

.page-wrapper {
    padding: 15px 15px calc(67px + 15px) 15px;
}

.last-update {
    font-size: small;
    display: flex;
    align-items: center;
}

.last-update img {
    width: 24px;
    margin-right: 10px;
    filter: var(--blue-filter);
}

footer {
    text-align: center;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    border-top: 1px solid lightgray;
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 10%);
}

footer nav a,
footer nav a:hover {
    display: inline-block;
    color: white;
    text-decoration: none;
    font-weight: 600;
    padding: 15px 5px;
    opacity: .5;
}

footer nav a.active {
    opacity: 1;
}

footer nav a img {
    width: 32px;
}


.block {
    position: relative;
    overflow: hidden;
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 10%);
    border-radius: 15px;
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 15px;
}

.block.device {
    padding-left: calc(74px);
}

.block .image {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    filter: var(--blue-filter);
    opacity: 0.2;
    transform: translateX(-50%);
}

.block h4 {
    margin: 0;
    /* padding: 0 15px 0 calc(65px + 15px); */
    /* padding-top: 15px; */
}

.block .info {
    padding-top: 10px;
    font-size: small;
}

.block .settings {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 24px;
}

.block .settings img {
    width: 100%;
    filter: var(--blue-filter);
}

.block .settings:hover img {
    filter: none;
    cursor: pointer;
}

.block+.block {
    margin-top: 15px;
}

@media (max-width: 575.98px) {}

@media (max-width: 767.98px) {}

@media (max-width: 991.98px) {}

@media (max-width: 1199.98px) {}

@media (max-width: 1399.98px) {}